import { IInstantiationService, ServicesAccessor } from "./instantiation";
import { ServiceCollection } from "./serviceCollection";
export declare class InstantiationService implements IInstantiationService {
    private _services;
    private _strict;
    constructor(services?: ServiceCollection, strict?: boolean);
    createChild(services: ServiceCollection): IInstantiationService;
    invokeFunction<R>(signature: (accessor: ServicesAccessor, ...more: any[]) => R, ...args: any[]): R;
    createInstance(param: any, ...rest: any[]): any;
    private _verifyDependency;
    private _createInstance;
    private _getOrCreateServiceInstance;
    private _createAndCacheServiceInstance;
}
