import { ServiceIdentifier } from "./instantiation";
import { Descriptor } from "./descriptors";
export declare class ServiceCollection {
    private _entries;
    constructor(...entries: [ServiceIdentifier<any>, any][]);
    set<T>(id: ServiceIdentifier<T>, instanceOrDescriptor: T | Descriptor<T>): T | Descriptor<T>;
    forEach(callback: (id: ServiceIdentifier<any>, instanceOrDescriptor: any) => any): void;
    has(id: ServiceIdentifier<any>): boolean;
    get<T>(id: ServiceIdentifier<T>): T | Descriptor<T>;
    private static _dummy;
    private static _searchEntry;
    private static _entryCompare;
}
